Name:           pisg
Version:        0.73
Release:        %mkrel 13
Summary:        An IRC channel statics generator
License:        GPL
Group:          Networking/IRC
URL:            https://pisg.sourceforge.net/
Source0:        https://downloads.sourceforge.net/pisg/%{name}-%{version}.tar.gz

BuildRequires:  perl

BuildArch:      noarch

%description
pisg is an IRC channel statics generator written in Perl, it creates
statistics from different logfile formats. It was originally written
because IRCStats wasn't open source. So here's an open source/GPL'ed
version to anyone interested. It's a funny thing for your IRC channel,
and it's highly customizable.


%prep
%setup -q

%build
# Some default configuration setting
perl -pi -e "s:configfile => 'pisg.cfg':configfile => '%{_sysconfdir}/pisg.cfg':" modules/Pisg.pm
perl -pi -e "s:langfile => 'lang.txt':langfile => '%{_datadir}/%{name}/lang.txt':" modules/Pisg.pm
perl -pi -e "s:cssdir => 'layout/':cssdir => '%{_datadir}/%{name}/layout/':" modules/Pisg.pm

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{perl_vendorlib}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}

install -m 755 pisg %{buildroot}%{_bindir}
cp -ar modules/* %{buildroot}%{perl_vendorlib}
cp -ar lang.txt layout %{buildroot}%{_datadir}/%{name}
cp -a pisg.cfg %{buildroot}%{_sysconfdir}

find %{buildroot}%{perl_vendorlib} -type f -exec chmod 644 {} \;

%files
%doc README docs
%doc scripts gfx
%{_bindir}/%{name}
%{perl_vendorlib}/*
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/pisg.cfg


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.73-13.mga10
+ Revision: 2201590
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.73-12.mga9
+ Revision: 1806800
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.73-11.mga8
+ Revision: 1499252
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.73-10.mga7
+ Revision: 1274190
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.73-9.mga6
+ Revision: 1036215
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.73-8.mga6
+ Revision: 939329
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.73-7.mga5
+ Revision: 749283
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.73-6.mga5
+ Revision: 725206
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.73-5.mga5
+ Revision: 687605
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.73-4.mga4
+ Revision: 517462
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.73-3.mga3
+ Revision: 377757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.73-2.mga3
+ Revision: 324687
- rebuild for Mga3 Beta1

* Wed Apr 04 2012 kamil <kamil> 0.73-1.mga2
+ Revision: 228394
- new version 0.73
- clean and adapt for .spec for Mageia
- imported package pisg


* Tue May 03 2011 Michael Scherer <misc@mandriva.org> 0.72-4mdv2011.0
+ Revision: 664798
- rebuild old package

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.72-3mdv2010.0
+ Revision: 430737
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.72-2mdv2009.0
+ Revision: 269000
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Olivier Thauvin <nanardon@mandriva.org> 0.72-1mdv2009.0
+ Revision: 214654
- 0.72

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.71-1mdv2008.1
+ Revision: 140731
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Mar 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.71-1mdv2007.0
+ Revision: 131718
- 0.71

* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 0.70-1mdv2007.1
+ Revision: 93975
- 0.70

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.68-2mdv2007.0
+ Revision: 54199
- rebuild
- Import pisg

* Wed Apr 19 2006 Olivier Thauvin <nanardon@mandriva.org> 0.68-1mdk
- 0.68

* Tue Sep 06 2005 Olivier Thauvin <nanardon@mandriva.org> 0.67-1mdk
- 0.67

* Sat Jun 25 2005 Erwan Velu <erwan@seanodes.com> 0.66-1mdk
- 0.66

* Fri May 06 2005 Olivier Thauvin <nanardon@mandriva.org> 0.65-1mdk
- 0.65

* Fri Apr 15 2005 Erwan Velu <erwan@seanodes.com> 0.64-1mdk
- 0.64

* Mon Dec 13 2004 Olivier Thauvin <nanardon@mandrake.org> 0.62-1mdk
- First mdk package

